# Contributing

If you would like to help develop this app (fix bugs or contribute new features),
these are the instructions on how to do so. If you have used GitHub or GitLab
before, a lot of this will sound familiar.

This app uses the [git](https://git-scm.com) version control system. The
recommended process to contribute to this app are as follows:

1. Create a free account on the [code.nonshy.com](https://code.nonshy.com/)
   Gitea server.
2. **Fork** this project which will create a copy of the codebase under your
   own user account on this server.
3. Work on changes on your fork of this repo.
    * e.g. `git clone git@code.nonshy.com:YourUsername/website`
4. When done, [create a Pull Request](https://code.nonshy.com/nonshy/website/pulls)
   comparing your branch to the main branch - this begins a code review.
5. If accepted, your change will be merged into the main branch.