package models

import "time"

// ProfileField table for arbitrary user profile settings.
type ProfileField struct {
	ID        uint64 `gorm:"primaryKey"`
	UserID    uint64 `gorm:"index"`
	Name      string `gorm:"index"`
	Value     string `gorm:"index"`
	CreatedAt time.Time
	UpdatedAt time.Time
}
